# GitTales 📊

> _Let your git history tell its story_

GitTales is a command-line tool that analyzes your git repositories to extract insights about your coding patterns, time investment, and productivity trends.

**⚠️ WORK IN PROGRESS ⚠️**  
This project is currently under active development. Core functionality is being built, and APIs may change.

## Vision

GitTales will help developers understand their work patterns by:

- Tracking time spent across multiple repositories
- Visualizing commit patterns and productivity trends
- Generating AI-powered insights about coding habits
- Providing beautiful reports for standups or personal reflection

## Installation

```bash
pip install gittales
```

## Usage

Currently, GitTales supports basic repository analysis:

```bash
# Analyze the current repository
gittales analyze

# Analyze with specific timeframe
gittales analyze --days 30

# Analyze multiple repositories
gittales analyze --repo /path/to/repo1 --repo /path/to/repo2
```

You can also run GitTales directly without installation using uv:

```bash
# Run directly from GitHub repository
uv run https://raw.githubusercontent.com/PatrickKalkman/gittales/refs/heads/master/gtr.py analyze --days 30
```

## Features (Planned)

- **Multi-repo Analysis**: Track work across all your projects
- **Time Investment**: Understand where your coding hours go
- **Work Patterns**: Discover your peak productivity times
- **AI Insights**: Get personalized observations about your coding habits
- **Beautiful Visualizations**: See your data in rich, colorful terminal output
- **Export Options**: Generate reports for sharing or record-keeping

## Contributing

GitTales is in early development, and contributions are welcome! Feel free to:

- Submit issues for bugs or feature ideas
- Fork the repository and submit pull requests
- Star the project to show your interest

## License

MIT

---

_More amazing features coming soon. Watch this space!_